package com.knecon.fforesight.service.viewerdoc.layers;

import java.util.List;

import com.knecon.fforesight.service.viewerdoc.LayerIdentifier;
import com.knecon.fforesight.service.viewerdoc.model.Visualizations;

public class OcrTextLayerConfig extends AbstractLayerGroup {

    protected final Visualizations ocrText = Visualizations.builder().layer(LayerIdentifier.KNECON_OCR_TEXT).build();
    protected final Visualizations tableLines = Visualizations.builder().layer(LayerIdentifier.KNECON_OCR_LINES).build();


    @Override
    public LayerIdentifier getGroupIdentifier() {

        return LayerIdentifier.KNECON_OCR;
    }


    @Override
    public List<Visualizations> getVisualizations() {

        return List.of(ocrText, tableLines);
    }


    @Override
    public boolean subLayersAreOptionalContent() {

        return false;
    }

    @Override
    public boolean isOptionalContent() {

        return false;
    }

}
